Package org.silverpeas.components.almanach

## Class GoToEvent

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.silverpeas.core.web.util.servlet.GoTo
      - - org.silverpeas.core.web.servlets.GoToContribution
        - - org.silverpeas.components.almanach.GoToEvent

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

      public class GoToEvent
      extends org.silverpeas.core.web.servlets.GoToContribution

  This servlet is still alive because of permalink already in use.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `org.silverpeas.core.web.util.servlet.GoTo.Context`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `util`

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GoToEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.contribution.model.ContributionIdentifier` | `getContributionIdentifier​(String objectId)` |

    - ### Methods inherited from class org.silverpeas.core.web.servlets.GoToContribution

      `getDestination`

    - ### Methods inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `doGet, doPost, getContentLanguage, getDestination, getObjectId, getUserId, isUserAllowed, isUserLogin, sendJson, setGefSpaceId`

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoToEvent

          public GoToEvent()

  - ### Method Detail

    - #### getContributionIdentifier

          protected org.silverpeas.core.contribution.model.ContributionIdentifier getContributionIdentifier​(String objectId)

      Overrides:
        `getContributionIdentifier` in class `org.silverpeas.core.web.servlets.GoToContribution`